Rozlicz PITa za rok 2013 z e-Deklaracje!

Uwaga: Ten wpis został utworzony ponad rok temu. Informacje w nim zawarte mogą być nieaktualne!

System e-Deklaracje pozwala na przesyłanie dokumentów (w tym PITów) do urzędów w formie elektronicznej. O jego instalacji pisałem w zeszłym roku, jednak temat warto odświeżyć – zwłaszcza w obecnym okresie.

Pierwsze kroki nie różnią się od tego, co przedstawiałem w ubiegłym roku.
  1. Jeśli korzystasz z systemu 64-bitowego, zainstaluj wymagane biblioteki:
    sudo apt-get install libgtk2.0-0:i386 libstdc++6:i386 libnss3-1d:i386 lib32nss-mdns libxml2:i386 libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386 libqt4-qt3support:i386 libgnome-keyring0:i386
  2. Pobierz i zainstaluj aplikację Adobe Reader:
    wget http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/9.5.1/enu/AdbeRdr9.5.1-1_i486linux_enu.bin
    chmod +x ./AdbeRdr9.5.1-1_i486linux_enu.bin
    sudo ./AdbeRdr9.5.1-1_i486linux_enu.bin
  3. Przed rozpoczęciem instalacji, wydaj polecenia:
    locate libgnome-keyring.so /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0
    sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
  4. Pobierz i zainstaluj Adobe AIR:
    wget http://airdownload.adobe.com/air/lin/download/latest/AdobeAIRInstaller.bin
    chmod +x ./AdobeAIRInstaller.bin
    sudo ./AdobeAIRInstaller.bin
  5. Usuń utworzone dowiązania do bibliotek:
    sudo rm /usr/lib/libgnome-keyring.so.0
    sudo rm /usr/lib/libgnome-keyring.so.0.2.0
  6. Przejdź na stronę Ministerstwa Finansów. W oknie wyboru systemu kliknij w pingwina, a następnie zapisz plik na dysku (najlepiej w katalogu ~/Pobrane).
    Wybierz system operacyjny - oczywiście Linux

    Wybierz system operacyjny – oczywiście Linux

  7. Po zakończonym pobieraniu, uruchom instalację e-Deklaracje Desktop:
    sudo /opt/Adobe\ AIR/Versions/1.0/Resources/airappinstaller ~/Pobrane/e-DeklaracjeDesktop.air
    Zwróć uwagę na pogrubioną ścieżkę do pliku – uzupełnij ją odpowiednio, jeśli zapisałeś instalator w innym miejscu niż katalog ~/Pobrane.
  8. Przejdź przez proces instalacji, a na koniec podaj swoje imię i nazwisko. E-Deklaracje Desktop są gotowe do działania!
    e-Deklaracje 2014

    e-Deklaracje 2014

Jeżeli powyższy artykuł nie rozwiązał lub rozwiązał częściowo Twój problem, dodaj swój komentarz opisujący, w którym miejscu napotkałeś trudności.
Mile widziane komentarze z uwagami lub informacjami o rozwiązaniu problemu.
  • http://nasilowski.net Paweł Nasiłowski

    Dzięki! Przyda się. :)

  • Damian

    Problem w tym, że Ubuntu 13.10 64bit nie ma już paczki bibliotek ia32-libs. Więc nie zadziała to. Jedyny sposób to instalować każdą bibliotekę ręcznie.

    • Jacek

      czyli co trzeba zrobić, bo u mnie wyskoczył taki komunikat: „E: Pakiet ia32-libs nie ma kandydata do instalacji”

      • Damian

        W tym wątku masz komentarze w których ktoś pisał nazwy potrzebnych bibliotek.
        http://jeffhendricks.net/?p=68
        Ponoć działa, ale mi nie chciało zadziałać. Przeczytałem, że dobrym rozwiązaniem jest instalacja dodatkowo bibliotek potrzebnych dla Skype więc zainstalowałem Skype i po tym instalacja Adobe AIR ruszyła ale nie wymienię jakie to były biblioteki bo już nie pamiętam. Jak coś to możesz zrobić podobnie.

        • Mateusz Stachowski

          Spisałem nazwy pakietów które trzeba zainstalować w 13.10 i 14.04 w tym komentarzu.

          http://jeffhendricks.net/?p=68#comment-572

          • Damian

            Wiem o tym, ale jak pisałem już instalowałem wszystkie tam wymienione ale Adobe Air dalej nie chciało działać. Znalazłem inne instrukcje i próbowałem według nich i też to samo. Dopiero ktoś wspomniał o Skype – zainstalowałem go i wraz z nim pobrały się brakujące biblioteki i ku mojemu zdziwieniu Adobe Air zadziałało.

            • raawek

              posługuję się tym programem już drugi raz, program jest dobry i pewny, wydany przez MF, pit dociera – i po tygodniu, dwóch jest ewentualny zwrot kosztów. Ktoś tam nie mógł zapisać czegoś w pedeefie. Na górze po lewej stronie dokumentu jest ikonka do zapisywania na swoim dysku, zapis jest poprawny.

  • Arkadiusz

    Wielkie nieporozumienie ponieważ w e-Deklaracjach brak formularza ZAP-3…

  • Mira Wlosek

    Dzięki :)

  • Oskar

    A nie lepiej przez e-pity.pl Wypełniasz online, bez zbędnych programów, tutaj wystarczy bodajże, że mamy flasha zainstalowanego. Bardzo intuicyjny kreator.

    • http://freecad-tutorial.blogspot.com/ kwahoo

      Nawet ładnie im to wyszło. No i UPO przysyłane w PDF-ie na maila było miłym zaskoczeniem.

  • Mateusz Stachowski
  • KuzynR

    Jest nowa instrukcja instalacji całego pakietu pod http://www.finanse.mf.gov.pl/documents/766655/1196444/instrukcjeLinux.pdf, podane są wszystkie wymagane biblioteki ia32-libs dla systemu 64-bit tj.:
    sudo apt-get install libgtk2.0-0:i386 libstdc++6:i386 libnss3-1d:i386 lib32nss-mdns libxml2:i386 libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386 libqt4-qt3support:i386 libgnome-keyring0:i386
    U mnie w Ubuntu 13.10 64-bit instalacja wg ww. instrukcji poszła gładko. Polecam.

    • Kubuś

      Pozytywne zaskoczenie. Myślałem, że po rezygnacji wsparcia Adobe Air na Linuksa, US wyda komunikat, że aplikacja już na Ubuntu nie pójdzie, czy coś w tym stylu. A dostaliśmy pdfa z dokładną instrukcją, jak poradzić sobie z problemem :D

  • nazca

    Mam mały problem z instrukcją.

    Pojawia mi się komunikat:

    ln: nie udało się utworzyć dowiązania symbolicznego „/usr/lib/libgnome-keyring.so.0”: Plik istnieje

    Czy mogę liczyć na pomoc?

    • http://www.ubuntu-pomoc.org/ Łukasz Schmidtke

      Nie jest to żaden problem, po prosty wykonaj kolejne kroki.

  • Wojtekvvb

    A co polecacie na androida?

  • Adas

    podczas instalacji wyskakuje okienko programu XTERM i prosi o hasło root. Ja podaje i mi trzy razy wyświetla, że błędne, a potem wyrzuca błąd 5100 i koniec instalacji. Jakieś pomysły?

  • Jarek
    • ZDZISLAW-senior

      dzieki za link-pit otwiera sie na wine….polecam

  • pokrak

    Chciałbym wam tylko wam powiedzieć, że jak dla mnie wymiatacie!!!

  • Ibuu

    Szacun.. Wielkie dzięki za tą instrukcje!

  • Paweł Łabaj

    Podczas instalacji programu e-DeklaracjeDesktop wyskakuje taki błąd:
    „Nie można zainstalować aplikacji. Spróbuj zainstalować ją ponownie. Jeśli problem będzie się powtarzał, skontaktuj się z autorem aplikacji. Numer błędu: 1”

  • Ork

    Wielkie dzięki za ten opis. Chciałem zrezygnować z wysyłania formularza przez internet, ale znalazłem tą stronę, spróbowałem – i zadziałało od razu.

  • Tadzik123

    Dla mnie szybszym rozwiązaniem był wirtualny dysk w playonlinux z zainstalowanym adobe air i ie-8, ponieważ miałem problem z bibliotekami.

  • Ruda

    Ktoś te wszystkie kroki upakował w zgrabne *.deb i można je pobrać tutaj: http://update.devolo.com/linux/apt/pool/main/a/adobeair/adobeair_2.6.0.19170-devolo1_i386.deb
    Znalezione na : http://askubuntu.com/questions/87447/how-can-i-install-adobe-air , zdaje się czwarta odpowiedź. Dzięki temu zamiast miliona kroków są dwa: 1. zinstaluj paczkę ,deb, 2. zainstaluj e-deklaracje.

  • tomecki

    Dzięki bardzo za tutka, zadziałało i z e-deklaracje 2015, opisane przez was kroki są czytelne i nie potrzeba więcej nic aby działało. Walczyłem z poradnikami z wielu innych stron ale bezskutecznie, tylko u was fachowe doradztwo, pozdrawiam.

  • rafał

    u mnie pojawia się coś takiego „Nie można zainstalować środowiska Adobe AIR. Przed zainstalowaniem środowiska Adobe AIR należy zainstalować aplikację Gnome Keyring lub KDE KWallet.”

  • Bastek

    Witam serdecznie i proszę o pomoc, posiadam kubuntu 15.04 i podczas instalacji edeklaracje wyskakuje mi taki błąd; Nie można zainstalować aplikacji Adobe AIR. W systemie nie można odnaleźć żadnych narzędzi do uwierzytelniania. Co zrobić ? Proszę o pomoc.

    • wrzomar

      Chodzi o brak gnome-keyring albo kwallet. Raczej są zainstalowane, tylko chodzi o to, że AIR nie może ich znaleźć. Musisz stworzyć symlinki do odpowiednich bibliotek (jak podano w artykule i w instrukcji MF), a jeżeli naprawdę nie ma ich w systemie to najpierw zainstalować.

  • xerxes

    Witam. Jestem początkującym linuxiarzem i nie chce się jeszcze poddać, ale mam następujący problem – po wykonaniu polecenia ze strony MF instrukcji „sudo ln -s /usr/lib/Adobe/Reader9 /opt/Adobe/Reader9” zwraca mi komunikat „nie udało się utworzyć dowiązania symbolicznego „/opt/Adobe/Reader9”: Plik istnieje”. Powiązanie jest konieczne, aby e-Deklaracje widziały Readera 9. Co robię źle?